"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_plugins_1 = require("@expo/config-plugins");
const withpreventRecentScreenshots = (config, props) => {
    config = (0, config_plugins_1.withInfoPlist)(config, (config) => {
        const infoPlist = config.modResults;
        const isEnabled = props?.ios?.enabled ?? false;
        if (!isEnabled) {
            delete infoPlist.RNAS_PREVENT_RECENT_SCREENSHOTS;
            return config;
        }
        infoPlist.RNAS_PREVENT_RECENT_SCREENSHOTS = true;
        return config;
    });
    config = (0, config_plugins_1.withGradleProperties)(config, (config) => {
        const gradleProperties = config.modResults;
        const isEnabled = props?.android?.enabled ?? false;
        const existingIndex = gradleProperties.findIndex((prop) => prop.type === "property" &&
            prop.key === "RNAS_PREVENT_RECENT_SCREENSHOTS");
        if (existingIndex !== -1) {
            gradleProperties.splice(existingIndex, 1);
        }
        if (!isEnabled) {
            return config;
        }
        gradleProperties.push({
            type: "property",
            key: "RNAS_PREVENT_RECENT_SCREENSHOTS",
            value: "true",
        });
        return config;
    });
    return config;
};
exports.default = withpreventRecentScreenshots;
